package com.wecloud.imserver.client.api;

import com.wecloud.imserver.client.model.vo.LineChart;
import com.wecloud.imserver.client.model.vo.OverviewVo;
import com.wecloud.imserver.client.model.vo.RtcRecordVo;
import com.wecloud.imserver.client.model.vo.StatisticsVo;

import java.time.LocalDateTime;
import java.util.List;

public interface ImOverview {

    //服务概览
    OverviewVo overview(Long appId);
    //数据统计中的业务统计
    StatisticsVo groupStatistics(Long appId, LocalDateTime start, LocalDateTime end);
    //用户统计折线图
    List<LineChart> activeUser(Long appId, LocalDateTime start, LocalDateTime end);

    //音视频资讯的数量统计
    RtcRecordVo RtcStatistics(Long appId, LocalDateTime date);
}
